<template>
  <div class="progressbar modal__progressbar">
    <span
      :key="i"
      v-for="i in 5"
      class="progressbar__item"
      :class="{ 'progressbar__item--filled': currentQuestion >= i }"
    ></span>
  </div>
</template>
<script>
export default {
  name: "Progressbar",
  props: {
    currentQuestion: {
      type: Number,
      default: 1,
    },
  },
};
</script>
<style lang="scss">
.modal__progressbar {
  margin-bottom: 22px;
}
.progressbar {
  display: flex;
  box-sizing: inherit;
  justify-content: space-between;
  &__item {
    display: flex;
    box-sizing: inherit;
    &::after {
      content: "";
      width: 21px;
      height: 21px;
      display: block;
      z-index: 2;
      position: relative;
      border-radius: 50%;
      margin-left: auto;
      box-sizing: inherit;
      background: #c4c4c4;
      border: 2px solid #b3b3b3;
    }
    &:not(:first-child) {
      flex-grow: 2;
      position: relative;
      &::before {
        content: "";
        height: 3px;
        width: 100%;
        display: block;
        box-sizing: inherit;
        position: absolute;
        top: calc(50% - 1.5px);
        right: calc(21px / 2);
        background-color: #b3b3b3;
      }
    }
    &--filled {
      &::after {
        background: #8cd6ff;
        border-color: #4bbbfa;
      }
      &:not(:first-child)::before {
        background-color: #4bbbfa;
      }
    }
  }
}
</style>